From a6c4595e647bd741d49ef01273ae5ae316c29c70 Mon Sep 17 00:00:00 2001
From: Pranab Das <31024886+pranabdas@users.noreply.github.com>
Date: Wed, 6 Mar 2024 20:01:25 +0800
Subject: [PATCH 07/19] SOF-6927: NTYP_WITH_LABELS method does not have
 argument

---
 src/context/providers/espresso/providers.js | 4 +++-
 1 file changed, 3 insertions(+), 1 deletion(-)

diff --git a/src/context/providers/espresso/providers.js b/src/context/providers/espresso/providers.js
index 91e1d34..02d16bd 100644
--- a/src/context/providers/espresso/providers.js
+++ b/src/context/providers/espresso/providers.js
@@ -33,6 +33,8 @@ export class QEPWXContextProvider extends mix(ExecutableContextProvider).with(
         const elm = material.Basis.elementsArray;
         const labels = material.Basis.atomicLabelsArray;
         const elmWithLabel = elm.map((label, idx) => label + labels[idx]);
+
+        // return unique items
         return [...new Set(elmWithLabel)];
     }
 
@@ -71,7 +73,7 @@ export class QEPWXContextProvider extends mix(ExecutableContextProvider).with(
             ATOMIC_SPECIES_WITH_LABELS: this.ATOMIC_SPECIES_WITH_LABELS(material),
             NAT: QEPWXContextProvider.NAT(material),
             NTYP: QEPWXContextProvider.NTYP(material),
-            NTYP_WITH_LABELS: QEPWXContextProvider.NTYP_WITH_LABELS(material),
+            NTYP_WITH_LABELS: QEPWXContextProvider.NTYP_WITH_LABELS,
             ATOMIC_POSITIONS: QEPWXContextProvider.atomicPositionsWithConstraints(material),
             ATOMIC_POSITIONS_WITHOUT_CONSTRAINTS: QEPWXContextProvider.atomicPositions(material),
             CELL_PARAMETERS: QEPWXContextProvider.CELL_PARAMETERS(material),

